## raspberrypi-archive-keyring 2016.10.31

=== debian/changelog ===
raspberrypi-archive-keyring (2016.10.31) stretch; urgency=medium

  * Based on debian-ports-archive-keyring

 -- Serge Schneider <serge@raspberrypi.org>  Tue, 31 Oct 2017 15:50:47 +0000
