=== debian/control ===
Source: raspberrypi-archive-keyring
Section: misc
Priority: extra
Maintainer: Serge Schneider <serge@raspberrypi.org>
Build-Depends: debhelper (>> 9), gnupg1
Standards-Version: 3.9.8

Package: raspberrypi-archive-keyring
Architecture: all
Multi-Arch: foreign
Depends: gpgv, apt, ${misc:Depends}
Recommends: gnupg
Breaks: apt (<< 0.7.25.1)
Description: GnuPG archive keys of the raspberrypi archive
 The raspberrypi archive digitally signs its Release files. This package
 contains the archive keys used for that.

Package: raspberrypi-archive-keyring-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: all
Recommends: gpgv-udeb
Description: GnuPG keys of the raspberrypi archive
 The raspberrypi archive digitally signs its Release files. This package
 contains the archive keys used for that, in a minimal form for use
 in the installer.
