## raspberrypi-archive-keyring 2021.1.1+rpt1

=== debian/changelog ===
raspberrypi-archive-keyring (2021.1.1+rpt1) bullseye; urgency=medium

  * Adapat debian-archive-keyring for Raspberry Pi OS

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 13 Jan 2022 13:42:41 +0000

debian-archive-keyring (2021.1.1) unstable; urgency=medium

  * No-change rebuild.

 -- Jonathan Wiltshire <jmw@debian.org>  Thu, 25 Feb 2021 17:38:08 +0000

debian-archive-keyring (2021.1) unstable; urgency=medium

  [ Niels Thykier ]
  * Add a lintian-brush.conf to assist janitor.d.n

  [ Jonathan Wiltshire ]
  * Remove jessie's archive keys (Closes: #981343)
  * Add automatic signing keys for bullseye (Closes: #977911)
  * Update my own key
  * Add my transitional EC key
  * Add Debian Stable Release Key (11/bullseye) (ID: 600062A9605C66F00D6C9793)
    (Closes: #977910)
  * Refresh signatures over keyrings/debian-archive-keyring.gpg and
    keyrings/debian-archive-removed-keys.gpg
  * Add myself to uploaders

 -- Jonathan Wiltshire <jmw@debian.org>  Wed, 24 Feb 2021 21:06:42 +0000

debian-archive-keyring (2019.1) unstable; urgency=medium

  [ Adam D. Barratt ]
  * Ensure separated keyrings for Wheezy's keys are removed.  Thanks
    to Sven Joachim.
    (Closes: #912214)

  [ Jonathan Wiltshire ]
  * Add my own key to the team-members keyring
  * Add Debian Stable Release key (10/buster) (ID: DCC9EFBF77E11517)
    (Closes: #917536)
  * Add Debian Archive Automatic Signing Key (10/buster)
    (ID: BCDDDC30D7C23CBBABEE) and Debian Security Archive Automatic
    Signing Key (10/buster) (ID: C5FF4DFAB270CAA96DFA)
    (Closes: #917535)
  * Refresh the signature over keyrings/debian-archive-keyring.gpg

  [ Niels Thykier ]
  * Add myself as uploader (Closes: #927765)

 -- Niels Thykier <niels@thykier.net>  Tue, 23 Apr 2019 13:42:28 +0200

debian-archive-keyring (2018.1) unstable; urgency=medium

  * Team upload.

  [ Philipp Kern ]
  * Point Vcs-* headers to Salsa.
  * Remove Wheezy's keys (automatic and stable release).
    (Closes: #901320)

  [ Niels Thykier ]
  * Merge "separate keyring" installation and upload it to
    unstable (see the changelog entry for 2017.7+exp).

 -- Niels Thykier <niels@thykier.net>  Sun, 28 Oct 2018 17:22:31 +0000

debian-archive-keyring (2017.7+exp) experimental; urgency=medium

  * Team upload.
  * Install separate keyrings for each release in /usr/share/keyrings
    (both in the regular deb and the udeb).  This is to enable
    initial testing of narrowing the set of trusted keys per machine.
    Thanks to Daniel Kahn Gillmor for the suggestion.
    (Closes: #861695)

 -- Niels Thykier <niels@thykier.net>  Sat, 16 Dec 2017 20:25:55 +0000

debian-archive-keyring (2017.7) unstable; urgency=medium

  * Team upload.

  [ Adam D. Barratt ]
  * Fix Vcs-* headers.  Thanks to Daniel Baumann for noticing.
    (Closes: #874723)

  [ Niels Thykier ]
  * Remove unnecessary "XC-" prefix for "Package-Type" in the udeb
    package.
  * Remove now obsolete versioned Breaks on apt.
  * Set R³ to no as debian-archive-keyring does not require (fake)root
    to build.
  * Bump debhelper compat level to 10 but pass --no-parallel to
    dh_auto_build as the Makefile is not parallel-safe.
  * Bump Standards-Version to 4.1.2 - no additional change required.

 -- Niels Thykier <niels@thykier.net>  Sat, 16 Dec 2017 20:11:11 +0000

debian-archive-keyring (2017.6) unstable; urgency=medium

  * Remove dependencies between the .deb package and gnupg / gpgv.  apt has
    had relevant relationships of its own for some time now, so there's no
    need for us to do so.  (Closes: #801381)
  * Add Vcs-{Browser,Git} headers.
  * Remove trust packets from generated keyrings.  They're not required for
    the purpose of archive keyrings and may change between GnuPG versions,
    rendering the resulting keyrings unreproducible.
    (Closes: #872525, #870780)

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Sun, 03 Sep 2017 17:52:14 +0100

debian-archive-keyring (2017.5) unstable; urgency=medium

  * Team upload.
  * Add Debian Stable Release Key (9/stretch) (ID: EF0F382A1A7B6500)
    (Closes: #860831)
  * Add Debian Archive Automatic Signing Key (9/stretch) (ID: E0B11894F66AEC98)
    and Debian Security Archive Automatic Signing Key (9/stretch)
    (ID: EDA0D2388AE22BA9) (Closes: #860830)
  * Move the squeeze keys to the removed keyring (Closes: #863303)
  * Update the maintainer README to document removing keys

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Thu, 25 May 2017 19:17:13 +0100

debian-archive-keyring (2014.3) unstable; urgency=medium

  * Team upload.
  * Also import signatures for Jessie archive keys.

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Sun, 30 Nov 2014 14:45:43 +0000

debian-archive-keyring (2014.2) unstable; urgency=medium

  * Team upload. (Closes: #771008)
  * Add Debian Archive Automatic Signing Key (8/jessie) (ID: 7638D0442B90D010)
  * Add Debian Security Archive Automatic Signing Key (8/jessie)
    (ID: 9D6D8F6BC857C906)
  * Remove temporary keyring files (*.gpg~) in clean target.
  * Add a maintainer README (not currently included in the binary package).

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Sun, 30 Nov 2014 12:29:30 +0000

debian-archive-keyring (2014.1) unstable; urgency=medium

  * Team upload. (Closes: #757533)

  [ Philipp Kern ]
  * Replaced my 1024D key with my 8192R key. Resigned all relevant files
    with my new key so that they can be validated again.
  * Add Jessie Stable Release key (ID: CBF8D6FD518E17E1).

 -- Philipp Kern <pkern@debian.org>  Sat, 30 Aug 2014 19:55:17 +0200

debian-archive-keyring (2012.4) unstable; urgency=low

  * Team upload.
  * Mark as multiarch foreign.

 -- Philipp Kern <pkern@debian.org>  Sat, 02 Jun 2012 17:57:18 +0200

debian-archive-keyring (2012.3) unstable; urgency=low

  * Team upload.
  * Remove the two new keys from trusted.gpg in the postinst and change
    the version check so that we can safely backport them to squeeze
    in a non-split way.


