=== debian/control ===
Source: raspberrypi-archive-keyring
Priority: important
Section: misc
Maintainer: Serge Schneider <serge@raspberrypi.com>
Build-Depends: debhelper (>= 10), jetring, gnupg
Rules-Requires-Root: no
Standards-Version: 4.6.0

Package: raspberrypi-archive-keyring
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: GnuPG archive keys of the Raspberry Pi OS archive
 The Raspberry Pi OS project digitally signs its Release files. This package
 contains the archive keys used for that.
