=== debian/changelog ===
raspberrypi-archive-keyring (2025.1+rpt1) trixie; urgency=medium

  * Rename debian -> raspberrypi
  * Completely remove removed-keys
  * Replace debian keys with the raspberry pi archive signing key

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 06 Jun 2025 14:20:43 +0100

debian-archive-keyring (2025.1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove 2 obsolete maintscript entries in 1 files.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.6.2, no changes needed.

  [ Guillem Jover ]
  * Add .gitignore files
  * Update maintainer documentation for trusted.gpg.d files removal
  * Use «Debian» instead of the odd «Debian GNU» when referring to the project
  * Use OpenPGP instead of GnuPG when referring to the specification
  * Rename keyrings from .gpg to .pgp

  [ Jonathan Wiltshire ]
  * Clean up maintscript removal of ancient archive certificates
  * Add NEWS entry warning of file extension renames
  * Get rid of team-members/ and signature verification (Closes: #1099223)
  * Remove buster keys
  * Add automatic signing keys for trixie (Closes: #1100828)
  * Add Debian Stable Release Key (13/trixie) (ID: 762F67A0B2C39DE4)
    (Closes: #1100829)

 -- Jonathan Wiltshire <jmw@debian.org>  Wed, 09 Apr 2025 23:05:46 +0100

debian-archive-keyring (2023.4) unstable; urgency=medium

  * Clean up leftover keyrings in trusted.gpg.d

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 30 Jul 2023 20:24:09 +0100

debian-archive-keyring (2023.3) unstable; urgency=medium

  * Reinstate cleanup of the APT keyrings for buster (Closes: #1033153)

 -- Jonathan Wiltshire <jmw@debian.org>  Tue, 28 Mar 2023 21:31:07 +0100

debian-archive-keyring (2023.2) unstable; urgency=medium

  * Reinstate buster keys for apt as fragments (Closes: #1033077)

 -- Jonathan Wiltshire <jmw@debian.org>  Fri, 17 Mar 2023 17:03:56 +0000

debian-archive-keyring (2023.1) unstable; urgency=medium

  * Standards version 4.6.0 (no changes)
  * Update my key and refresh signature
  * Switch to use ASCII-armoured fragments for APT trust
  * Add Debian Stable Release Key (12/bookworm) (ID: 0xF8D2585B8783D481)
    (Closes: #1029215)
  * Remove stretch's keys (automatic and release)
  * Add automatic signing keys for bookworm (Closes: #1029214)
  * Refresh signature over keyrings/debian-archive-keyring.gpg

 -- Jonathan Wiltshire <jmw@debian.org>  Thu, 16 Mar 2023 08:54:35 +0000
