=== debian/control ===
Source: raspberrypi-archive-keyring
Priority: important
Section: misc
Maintainer: Serge Schneider <serge@raspberrypi.com>
Build-Depends: debhelper-compat (= 12), jetring, gnupg
Rules-Requires-Root: no
Standards-Version: 4.6.2

Package: raspberrypi-archive-keyring
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: OpenPGP archive certificates of the Debian archive
 The Debian project digitally signs its Release files. This package
 contains the archive certificates used for that.

Package: raspberrypi-archive-keyring-udeb
Package-Type: udeb
Priority: optional
Architecture: all
Section: debian-installer
Depends: ${misc:Depends}
Recommends: gpgv-udeb
Description: OpenPGP archive certificates of the Debian archive
 The Debian project digitally signs its Release files. This package
 contains the archive certificates used for that, in a minimal form
 for use in the installer.
